/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/

// SnapEvalDlg.cpp : インプリメンテーション ファイル

#include "stdafx.h"
#include "SnapEvalDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSnapEvalDlg ダイアログ


CSnapEvalDlg::CSnapEvalDlg(CWnd* pParent /*=NULL*/)
: CDialog(CSnapEvalDlg::IDD, pParent){
	//{{AFX_DATA_INIT(CSnapEvalDlg)
	m_bCenter = FALSE;
	m_bEnd = FALSE;
	m_bKnot = FALSE;
	m_bVertex = FALSE;
	//}}AFX_DATA_INIT
}


void CSnapEvalDlg::DoDataExchange(CDataExchange* pDX){
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSnapEvalDlg)
	DDX_Check(pDX, IDC_SNAP_EVAL_CENTER, m_bCenter);
	DDX_Check(pDX, IDC_SNAP_EVAL_END, m_bEnd);
	DDX_Check(pDX, IDC_EVAL_SNAP_KNOT, m_bKnot);
	DDX_Check(pDX, IDC_SNAP_EVAL_VERTEX, m_bVertex);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSnapEvalDlg, CDialog)
	//{{AFX_MSG_MAP(CSnapEvalDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSnapEvalDlg メッセージ ハンドラ

BOOL CSnapEvalDlg::OnInitDialog() {
	CDialog::OnInitDialog();
	SetIcon(::AfxGetApp()->LoadIcon(IDR_MGCLTYPE), FALSE);
	CString strTitle;
	strTitle.Format(IDS_CAPTION_SNAP_EVAL);
	SetWindowText(strTitle);
	if(m_TargetKind==1)
		disableVertex();
	if(m_TargetKind==2)
		disableEndKnot();
	return TRUE;
}

//disabe End and Knot button.
void CSnapEvalDlg::disableEndKnot(){
	CWnd* pWndEnd = GetDlgItem(IDC_SNAP_EVAL_END);
	pWndEnd->EnableWindow(FALSE);

	CWnd* pWndKnot = GetDlgItem(IDC_EVAL_SNAP_KNOT);
	pWndKnot->EnableWindow(FALSE);
}

//disabe vertex button.
void CSnapEvalDlg::disableVertex(){
	CWnd* pWndVertex = GetDlgItem(IDC_SNAP_EVAL_VERTEX);
	pWndVertex->EnableWindow(FALSE);		
}
